<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_device_provider".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountDeviceProvider".
 *
 * Columns in table "account_device_provider" available as properties of the model,
 * followed by relations of table "account_device_provider" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_device_id
 * @property integer $provider_id
 *
 * @property AccountDevice $accountDevice
 * @property Provider $provider
 */
abstract class BaseAccountDeviceProvider extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_device_provider';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountDeviceProvider|AccountDeviceProviders', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('account_device_id, provider_id', 'required'),
            array('account_device_id, provider_id', 'numerical', 'integerOnly' => true),
            array('id, account_device_id, provider_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'accountDevice' => array(self::BELONGS_TO, 'AccountDevice', 'account_device_id'),
            'provider' => array(self::BELONGS_TO, 'Provider', 'provider_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_device_id' => null,
            'provider_id' => null,
            'accountDevice' => null,
            'provider' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_device_id', $this->account_device_id);
        $criteria->compare('provider_id', $this->provider_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
